/*
*******************************************************************************
**
**  This device driver was created by Applilet2 for 78K0S/Kx1+
**  8-Bit Single-Chip Microcontrollers
**
**  Copyright(C) NEC Electronics Corporation 2002 - 2012
**  All rights reserved by NEC Electronics Corporation.
**
**  This program should be used on your own responsibility.
**  NEC Electronics Corporation assumes no responsibility for any losses
**  incurred by customers or third parties arising from the use of this file.
**
**  Filename :	int.c
**  Abstract :	This file implements device driver for INT module.
**  APIlib :	Applilet2 for 78K0S/Kx1+ V2.41 [9 Sep. 2008]
**
**  Device :	uPD78F9212
**
**  Compiler :	CC78K0S
**
**  Creation date:	2012/01/13
**  
*******************************************************************************
*/

/*
*******************************************************************************
**  Include files
*******************************************************************************
*/
#include "macrodriver.h"
#include "int.h"
/* Start user code for include definition. Do not edit comment generated here */
/* End user code for include definition. Do not edit comment generated here */
#include "user_define.h"

/*
*******************************************************************************
**  Global define
*******************************************************************************
*/
/* Start user code for global definition. Do not edit comment generated here */
/* End user code for global definition. Do not edit comment generated here */


/*
**-----------------------------------------------------------------------------
**
**	Abstract:
**		This function initializes setting for INT module.
**
**	Parameters:
**		None
**
**	Returns:
**		None
**
**-----------------------------------------------------------------------------
*/
void INTP_Init(void)
{
	INTM0 = INTP_INTM0_RESET_VALUE;
	PMK1 = 1;		/* disable INTP1 */
	PIF1 = 0;		/* clear INTP1 flag */
	INTM0 = INTP1_EDGE_FALLING_SEL;
	/* Set INTP1 pin */
	PM3 |= 0x04;
}

/*
**-----------------------------------------------------------------------------
**
**	Abstract:
**		This function INTP1 clear interrupt flag and unmask interrupt.
**
**	Parameters:
**		None
**
**	Returns:
**		None
**
**-----------------------------------------------------------------------------
*/
void INTP1_Enable(void)
{
	PIF1 = 0;		/* clear INTP1 flag */
	PMK1 = 0;		/* enable INTP1 */
}

/*
**-----------------------------------------------------------------------------
**
**	Abstract:
**		This function INTP1 mask interrupt and clear interrupt flag.
**
**	Parameters:
**		None
**
**	Returns:
**		None
**
**-----------------------------------------------------------------------------
*/
void INTP1_Disable(void)
{
	PMK1 = 1;		/* disable INTP1 */
	PIF1 = 0;		/* clear INTP1 flag */
}

/* Start adding user code. Do not edit comment generated here */
/* End user code adding. Do not edit comment generated here */


